# GET /api/v1/notes

> List notes for a business

- **Tag:** notes
- **Operation ID:** `list_notes_api_v1_notes_get`

## Description

Retrieve all notes for the current business, ordered by pinned then most recently updated.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Responses

### 200 — Successful Response

Schema: `NoteListResponse`

- `items` (array · NoteResponse) → `NoteResponse`
  - `id` (string · required)
  - `title` (string · required)
  - `body` (string)
  - `pinned` (boolean)
  - `author_id` (string · required)
  - `author_name` (string)
  - `author_email` (string)
  - `created_at` (string · date-time · required)
  - `updated_at` (string · date-time · required)
  - `attachments` (array · AttachmentResponse)
- `total` (integer)

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/notes' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/notes', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/notes", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/notes/list-notes
- OpenAPI slice: https://www.ondayzero.com/docs/reference/notes/list-notes/openapi.json
- Other endpoints in **notes**: https://www.ondayzero.com/docs/reference/notes
